uuid: a4b70d4c-cca8-45cd-82fa-c3f34cf2c048
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_taxonomy_term_tags
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Taxonomy terms (Tags)'
source:
  plugin: d7_taxonomy_term
  bundle: tags
process:
  tid:
    -
      plugin: get
      source: tid
  vid:
    -
      plugin: migration_lookup
      migration: upgrade_d7_taxonomy_vocabulary
      source: vid
  name:
    -
      plugin: get
      source: name
  description/value:
    -
      plugin: get
      source: description
  description/format:
    -
      plugin: get
      source: format
  weight:
    -
      plugin: get
      source: weight
  parent_id:
    -
      plugin: skip_on_empty
      method: process
      source: parent
    -
      plugin: migration_lookup
      migration:
        - upgrade_d7_taxonomy_term_kit_manufacturers
        - upgrade_d7_taxonomy_term_scale
        - upgrade_d7_taxonomy_term_aircraft_types
        - upgrade_d7_taxonomy_term_airlines
        - upgrade_d7_taxonomy_term_product_category
        - upgrade_d7_taxonomy_term_tags
        - upgrade_d7_taxonomy_term_blog_category
  parent:
    -
      plugin: default_value
      default_value: 0
      source: '@parent_id'
  forum_container:
    -
      plugin: get
      source: is_container
  changed:
    -
      plugin: get
      source: timestamp
  langcode:
    -
      plugin: get
      source: language
destination:
  plugin: 'entity:taxonomy_term'
  default_bundle: tags
migration_dependencies:
  required:
    - upgrade_d7_taxonomy_vocabulary
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_taxonomy_vocabulary
    - upgrade_d7_taxonomy_term_blog_category
    - upgrade_d7_taxonomy_term_tags
    - upgrade_d7_taxonomy_term_product_category
    - upgrade_d7_taxonomy_term_airlines
    - upgrade_d7_taxonomy_term_aircraft_types
    - upgrade_d7_taxonomy_term_scale
    - upgrade_d7_taxonomy_term_kit_manufacturers
    - upgrade_d7_taxonomy_term_kit_manufacturers
    - upgrade_d7_taxonomy_term_scale
    - upgrade_d7_taxonomy_term_aircraft_types
    - upgrade_d7_taxonomy_term_airlines
    - upgrade_d7_taxonomy_term_product_category
    - upgrade_d7_taxonomy_term_tags
    - upgrade_d7_taxonomy_term_blog_category
